import string

from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from AccessControl import ClassSecurityInfo
from Globals import InitializeClass

# from OFS import Image, SimpleItem

from Products.Silva.Image import Image

from Products.Silva.helpers import add_and_edit

from interfaces import ILocalAsset
from LocalSilvaObject import LocalSilvaObject


class LocalImage(LocalSilvaObject, Image):
    " a local aware variant of the Silva Image"

    meta_type = "Silva Local Image"

    __implements__ = (ILocalAsset,)

    manage_options = Image.manage_options + LocalSilvaObject.manage_options

    def __init__(self, id, title, language):
        Image.__init__(self, id, title)
        del self._title
        LocalSilvaObject.__init__(self, id, title, language)


InitializeClass(LocalImage)


# XXX this is cut & paste from Silva.Image
# (although it is much less messy than the LocalFile ...)

manage_addLocalImageForm = PageTemplateFile("www/localimageAdd", globals(),
                                       __name__='manage_addLocalImageForm')

def manage_addLocalImage(self, id, title, file=None, freeze_size=1, REQUEST=None):
    """Add an LocalImage."""
    if not self.is_id_valid(id):
        return
    language = self.get_selected_language()
    object = LocalImage(id, title, language)
    self._setObject(id, object)
    object = getattr(self, id)

    if file:
        object.set_image(file)

    add_and_edit(self, id, REQUEST)
    return ''

