# zope
from Globals import InitializeClass
from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Acquisition import aq_base

# silva
from Products.Silva.Publication import Publication
from Products.Silva.helpers import add_and_edit

# local
from interfaces import ILocalPublication
from LocalFolder import LocalContainerMixin
import LocalFolder
from util import AcceptLanguageFake

class LocalPublication(LocalContainerMixin, Publication):
    """ a silva publication being able to contain content objects with locale variants
    """

    __implements__ = (ILocalPublication, )
    meta_type = 'Silva Local Publication'

    def __init__(self, id, title, language):
        Publication.__init__(self, id, title)
        LocalContainerMixin.__init__(self, id, title, language)
        del self._title

InitializeClass(LocalPublication)

manage_addLocalPublicationForm = PageTemplateFile("www/publicationAdd", globals(),
                                                  __name__='manage_addLocalPublicationForm')


def manage_addLocalPublication(self, id, title, create_default=1, REQUEST=None):
    """Add a LocalPublication."""
    if not self.is_id_valid(id):
        return
    language = self.get_selected_language()
    object = LocalPublication(id, title, language)
    self._setObject(id, object)
    object = getattr(self, id)
    
    if create_default:
        LocalFolder.manage_addIndexHook(object)
    index = object.get_default()
    if index is not None:
        index.sec_update_last_author_info()

    add_and_edit(self, id, REQUEST)
    return ''
