from Acquisition import aq_parent

from Products.Silva.ViewRegistry import ViewAttribute

from interfaces import ILocalSilvaObject

class LocalViewAttribute(ViewAttribute):
    " hack to the edit view attribute; check if the current language is supported "

    def __getitem__(self, name):
        model = self
        while model is not None \
                  and not ILocalSilvaObject.isImplementedBy(model):
            model = aq_parent(model)
        if model is None:
            raise TypeError, 'nothing for %s at ' % \
                  (self.getId(), self.absolute_url())

        # XXX some hard boiled ids here ....
        if model.get_selected_language() not in model.get_available_languages():
            # if we are not going to create a new variant quite now,
            # (of if we are in the asset lookup_
            # show the "create new variant" form:
            if name != 'tab_edit_variant_creation' and name != 'asset_lookup':
                name = 'tab_edit_create_variant'

        return ViewAttribute.__getitem__(self, name)
